org.keycloak.protocol.saml.mappers

## Class SAMLAudienceResolveProtocolMapper

- java.lang.Object
- - org.keycloak.protocol.saml.mappers.AbstractSAMLProtocolMapper
  - - org.keycloak.protocol.saml.mappers.SAMLAudienceResolveProtocolMapper

- All Implemented Interfaces:
    ProtocolMapper, SAMLLoginResponseMapper, ConfiguredProvider, Provider, ProviderFactory<ProtocolMapper>

      public class SAMLAudienceResolveProtocolMapper
      extends AbstractSAMLProtocolMapper
      implements SAMLLoginResponseMapper

  SAML audience resolve mapper. The mapper adds all client_ids of \"allowed\" clients to the audience conditions in the assertion. Allowed client means any SAML client for which user has at least one client role.
  Author:
    rmartinc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLAudienceResolveProtocolMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getDisplayCategory()`
    `String` | `getDisplayType()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `ResponseType` | `transformLoginResponse(ResponseType response, ProtocolMapperModel mappingModel, KeycloakSession session, UserSessionModel userSession, ClientSessionContext clientSessionCtx)`

    - ### Methods inherited from class org.keycloak.protocol.saml.mappers.AbstractSAMLProtocolMapper

      `close, create, getProtocol, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.protocol.ProtocolMapper

      `getPriority, validateConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SAMLAudienceResolveProtocolMapper

          public SAMLAudienceResolveProtocolMapper()

  - ### Method Detail

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

      Specified by:
        `getConfigProperties` in interface `ConfiguredProvider`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ProtocolMapper>`

    - #### getDisplayType

          public String getDisplayType()

      Specified by:
        `getDisplayType` in interface `ProtocolMapper`

    - #### getDisplayCategory

          public String getDisplayCategory()

      Specified by:
        `getDisplayCategory` in interface `ProtocolMapper`

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`

    - #### transformLoginResponse

          public ResponseType transformLoginResponse(ResponseType response,
                                                     ProtocolMapperModel mappingModel,
                                                     KeycloakSession session,
                                                     UserSessionModel userSession,
                                                     ClientSessionContext clientSessionCtx)

      Specified by:
        `transformLoginResponse` in interface `SAMLLoginResponseMapper`

Copyright © 2021 JBoss by Red Hat. All rights reserved.